Bug 398471 - Review Request: lipstik - Lipstik style for KDE
Review Request: lipstik - Lipstik style for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafał Psota
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 12:54 EST by Jakub 'Livio' Rusinek
Modified: 2007-12-20 16:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 16:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rafalzaq: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2007-11-25 12:54:34 EST
Spec URL: http://liviopl.fedorapeople.org/lipstik.spec
SRPM URL: http://liviopl.fedorapeople.org/lipstik-2.2.3-1.fc8.src.rpm
Description: Lipstik is a fast and clean style with many options 
to tune your desktop look
Comment 1 Rafał Psota 2007-11-25 12:57:18 EST
I'll take this one.
Comment 2 Rafał Psota 2007-11-29 10:46:09 EST
Everything seems to be ok except this:
lipstik.x86_64: W: no-documentation
Please include following files in %doc: BUGS, ChangeLog, COPYING, README, TODO.

Additional comment with explanation why .la files aren't removed would be nice.
Comment 3 Jakub 'Livio' Rusinek 2007-11-29 11:13:43 EST
1: Ok.
2: They're needed by Lipstik configuration dialog to work properly.
   Tried with .la removed and the config dialog didn't show up because of .la
files missing. Evem core KDE libs are providing .la files [1].





 1| http://wklej.org/id/94a8ad507c
Comment 5 Rafał Psota 2007-11-30 16:00:19 EST
I mean a comment in the spec file. Information for the next generations. ;)

There's one more thing.
lipstik.x86_64: W: file-not-utf8 /usr/share/doc/lipstik-2.2.3/ChangeLog
Simply run iconv on this file.
Comment 6 Jakub 'Livio' Rusinek 2007-12-02 07:22:14 EST
Information for the next generations will not be given.
kdebase already provides .la without comment, so I'll also do so.

Encoding fixed. rpmlint is now quiet.

Spec URL: http://liviopl.fedorapeople.org/lipstik.spec
SRPM URL: http://liviopl.fedorapeople.org/lipstik-2.2.3-3.fc8.src.rpm
Comment 7 Rafał Psota 2007-12-02 17:54:38 EST
Looks fine now.

APPROVED
Comment 8 Jakub 'Livio' Rusinek 2007-12-03 11:04:27 EST
New Package CVS Request
=======================
Package Name: lipstik
Short Description: Lipstik style for KDE
Owners: liviopl
Branches: F-7 F-8
InitialCC: liviopl
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-12-03 14:17:41 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.